--**********************
--  EHSD
--  MOVING MAP
--  MENU OPTIONS
--**********************

-- MAP MENU
local	ehsd_mmap_btn_01				= CreateElement "ceStringPoly"
		ehsd_mmap_btn_01.name			= "ehsd_mmap_btn_01"
		ehsd_mmap_btn_01.material		= mpcd_tpod_font
		ehsd_mmap_btn_01.init_pos		= mpcd_btn_01_pos
		ehsd_mmap_btn_01.alignment		= "CenterCenter"
		ehsd_mmap_btn_01.value			= "T\nR\nA\nK"
		ehsd_mmap_btn_01.stringdefs		= MPCD_default_font_size
		ehsd_mmap_btn_01.controllers	= {{"EHSD_MAP_MMenu"}}
Add_MPCD_VIDEO_Element(ehsd_mmap_btn_01)

local	ehsd_mmap_btn_02				= CreateElement "ceStringPoly"
		ehsd_mmap_btn_02.name			= "ehsd_mmap_btn_02"
		ehsd_mmap_btn_02.material		= mpcd_tpod_font
		ehsd_mmap_btn_02.init_pos		= mpcd_btn_02_pos
		ehsd_mmap_btn_02.alignment		= "CenterCenter"
		ehsd_mmap_btn_02.value			= "T\nR\nU\nE"
		ehsd_mmap_btn_02.stringdefs		= MPCD_default_font_size
		ehsd_mmap_btn_02.controllers	= {{"EHSD_MAP_MMenu"}}
Add_MPCD_VIDEO_Element(ehsd_mmap_btn_02)

local	ehsd_mmap_btn_04				= CreateElement "ceStringPoly"
		ehsd_mmap_btn_04.name			= "ehsd_mmap_btn_04"
		ehsd_mmap_btn_04.material		= mpcd_tpod_font
		ehsd_mmap_btn_04.init_pos		= mpcd_btn_04_pos
		ehsd_mmap_btn_04.alignment		= "CenterCenter"
		ehsd_mmap_btn_04.value			= "S\nE\nQ"
		ehsd_mmap_btn_04.stringdefs		= MPCD_default_font_size
		ehsd_mmap_btn_04.controllers	= {{"EHSD_MAP_MMenu"}}
Add_MPCD_VIDEO_Element(ehsd_mmap_btn_04)

local	ehsd_mmap_btn_06				= CreateElement "ceStringPoly"
		ehsd_mmap_btn_06.name			= "ehsd_mmap_btn_06"
		ehsd_mmap_btn_06.material		= mpcd_tpod_font
		ehsd_mmap_btn_06.init_pos		= mpcd_btn_06_pos
		ehsd_mmap_btn_06.alignment		= "CenterCenter"
		ehsd_mmap_btn_06.value			= "LAR"
		ehsd_mmap_btn_06.stringdefs		= MPCD_default_font_size
		ehsd_mmap_btn_06.controllers	= {{"EHSD_MAP_MMenu"}}
Add_MPCD_VIDEO_Element(ehsd_mmap_btn_06)

local	ehsd_mmap_btn_07				= CreateElement "ceStringPoly"
		ehsd_mmap_btn_07.name			= "ehsd_mmap_btn_07"
		ehsd_mmap_btn_07.material		= mpcd_tpod_font
		ehsd_mmap_btn_07.init_pos		= mpcd_btn_07_pos
		ehsd_mmap_btn_07.alignment		= "CenterCenter"
		ehsd_mmap_btn_07.value			= "TDB"
		ehsd_mmap_btn_07.stringdefs		= MPCD_default_font_size
		ehsd_mmap_btn_07.controllers	= {{"EHSD_MAP_MMenu"}}
Add_MPCD_VIDEO_Element(ehsd_mmap_btn_07)

local	ehsd_mmap_btn_08				= CreateElement "ceStringPoly"
		ehsd_mmap_btn_08.name			= "ehsd_mmap_btn_08"
		ehsd_mmap_btn_08.material		= mpcd_tpod_font
		ehsd_mmap_btn_08.init_pos		= mpcd_btn_08_pos
		ehsd_mmap_btn_08.alignment		= "CenterCenter"
		ehsd_mmap_btn_08.value			= "CHRT"
		ehsd_mmap_btn_08.stringdefs		= MPCD_default_font_size
		ehsd_mmap_btn_08.controllers	= {{"EHSD_MAP_MMenu"}}
Add_MPCD_VIDEO_Element(ehsd_mmap_btn_08)

local	ehsd_mmap_btn_11				= CreateElement "ceStringPoly"
		ehsd_mmap_btn_11.name			= "ehsd_mmap_btn_11"
		ehsd_mmap_btn_11.material		= mpcd_tpod_font
		ehsd_mmap_btn_11.init_pos		= mpcd_btn_11_pos
		ehsd_mmap_btn_11.alignment		= "CenterCenter"
		ehsd_mmap_btn_11.value			= "E\nH\nS\nI"
		ehsd_mmap_btn_11.stringdefs		= MPCD_default_font_size
		ehsd_mmap_btn_11.controllers	= {{"EHSD_MAP_MMenu"}}
Add_MPCD_VIDEO_Element(ehsd_mmap_btn_11)

local	ehsd_mmap_btn_12				= CreateElement "ceStringPoly"
		ehsd_mmap_btn_12.name			= "ehsd_mmap_btn_12"
		ehsd_mmap_btn_12.material		= mpcd_tpod_font
		ehsd_mmap_btn_12.init_pos		= mpcd_btn_12_pos
		ehsd_mmap_btn_12.alignment		= "CenterCenter"
		ehsd_mmap_btn_12.value			= "M\nA\nP"
		ehsd_mmap_btn_12.stringdefs		= MPCD_default_font_size
		ehsd_mmap_btn_12.controllers	= {{"EHSD_MAP_MMenu"}}
Add_MPCD_VIDEO_Element(ehsd_mmap_btn_12)

local	ehsd_mmap_btn_13				= CreateElement "ceStringPoly"
		ehsd_mmap_btn_13.name			= "ehsd_mmap_btn_13"
		ehsd_mmap_btn_13.material		= mpcd_tpod_font
		ehsd_mmap_btn_13.init_pos		= mpcd_btn_13_pos
		ehsd_mmap_btn_13.alignment		= "CenterCenter"
		ehsd_mmap_btn_13.value			= "O\nL\n1"
		ehsd_mmap_btn_13.stringdefs		= MPCD_default_font_size
		ehsd_mmap_btn_13.controllers	= {{"EHSD_MAP_MMenu"}}
Add_MPCD_VIDEO_Element(ehsd_mmap_btn_13)

local	ehsd_mmap_btn_14				= CreateElement "ceStringPoly"
		ehsd_mmap_btn_14.name			= "ehsd_mmap_btn_14"
		ehsd_mmap_btn_14.material		= mpcd_tpod_font
		ehsd_mmap_btn_14.init_pos		= mpcd_btn_14_pos
		ehsd_mmap_btn_14.alignment		= "CenterCenter"
		ehsd_mmap_btn_14.formats		= {"%s"}
		ehsd_mmap_btn_14.stringdefs		= MPCD_default_font_size
		ehsd_mmap_btn_14.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_NSEQ_Mode"}}
Add_MPCD_VIDEO_Element(ehsd_mmap_btn_14)

local	ehsd_mmap_btn_16				= CreateElement "ceStringPoly"
		ehsd_mmap_btn_16.name			= "ehsd_mmap_btn_16"
		ehsd_mmap_btn_16.material		= mpcd_tpod_font
		ehsd_mmap_btn_16.init_pos		= mpcd_btn_16_pos
		ehsd_mmap_btn_16.alignment		= "CenterCenter"
		ehsd_mmap_btn_16.value			= "N-UP"
		ehsd_mmap_btn_16.stringdefs		= MPCD_default_font_size
		ehsd_mmap_btn_16.controllers	= {{"EHSD_MAP_MMenu"}}
Add_MPCD_VIDEO_Element(ehsd_mmap_btn_16)

local	ehsd_mmap_btn_19				= CreateElement "ceStringPoly"
		ehsd_mmap_btn_19.name			= "ehsd_mmap_btn_19"
		ehsd_mmap_btn_19.material		= mpcd_tpod_font
		ehsd_mmap_btn_19.init_pos		= mpcd_btn_19_pos
		ehsd_mmap_btn_19.alignment		= "CenterCenter"
		ehsd_mmap_btn_19.value			= "ZOOM"
		ehsd_mmap_btn_19.stringdefs		= MPCD_default_font_size
		ehsd_mmap_btn_19.controllers	= {{"EHSD_MAP_MMenu"}}
Add_MPCD_VIDEO_Element(ehsd_mmap_btn_19)

-- MAP MENU BOXED SELECTIONS
-- LEFT
local	map_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		map_mode_sel.name			= "map_mode_sel"
		map_mode_sel.init_pos		= mpcd_btn_03_pos
		map_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}}
Add_MPCD_VIDEO_Element(map_mode_sel)

local	trk_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		trk_mode_sel.name			= "trk_mode_sel"
		trk_mode_sel.init_pos		= mpcd_btn_01_pos
		trk_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_TRK"}}
Add_MPCD_VIDEO_Element(trk_mode_sel)

local	true_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		true_mode_sel.name			= "true_mode_sel"
		true_mode_sel.init_pos		= mpcd_btn_02_pos
		true_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_TRUE"}}
Add_MPCD_VIDEO_Element(true_mode_sel)

local	seq_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		seq_mode_sel.name			= "seq_mode_sel"
		seq_mode_sel.init_pos		= mpcd_btn_04_pos
		seq_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_NAV_Mode"}, {"EHSD_MAP_SEQ"}}
Add_MPCD_VIDEO_Element(seq_mode_sel)

-- TOP
local	jdam_lar_boxed				= create_mpcd_textured_box( 60, 4, 175, 50)
		jdam_lar_boxed.name			= "jdam_lar_boxed"
		jdam_lar_boxed.init_pos		= mpcd_btn_06_pos
		jdam_lar_boxed.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_JDAM_LAR"}}
Add_MPCD_VIDEO_Element(jdam_lar_boxed)

local	jdam_tdb_boxed				= create_mpcd_textured_box( 60, 4, 175, 50)
		jdam_tdb_boxed.name			= "jdam_tdb_boxed"
		jdam_tdb_boxed.init_pos		= mpcd_btn_07_pos
		jdam_tdb_boxed.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_JDAM_TDB"}}
Add_MPCD_VIDEO_Element(jdam_tdb_boxed)



-- RIGHT
local	ehsi_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		ehsi_mode_sel.name			= "ehsi_mode_sel"
		ehsi_mode_sel.init_pos		= mpcd_btn_11_pos
		ehsi_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_EHSI"}}
Add_MPCD_VIDEO_Element(ehsi_mode_sel)

local	mmap_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		mmap_mode_sel.name			= "mmap_mode_sel"
		mmap_mode_sel.init_pos		= mpcd_btn_12_pos
		mmap_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_Active"}}
Add_MPCD_VIDEO_Element(mmap_mode_sel)

local	ovl1_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		ovl1_mode_sel.name			= "ovl1_mode_sel"
		ovl1_mode_sel.init_pos		= mpcd_btn_13_pos
		ovl1_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_OVL1"}}
Add_MPCD_VIDEO_Element(ovl1_mode_sel)

local	ovl2_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		ovl2_mode_sel.name			= "ovl2_mode_sel"
		ovl2_mode_sel.init_pos		= mpcd_btn_14_pos
		ovl2_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_OVL2"}}
Add_MPCD_VIDEO_Element(ovl2_mode_sel)

local	nup_mode_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		nup_mode_sel.name			= "nup_mode_sel"
		nup_mode_sel.init_pos		= mpcd_btn_16_pos
		nup_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_North_Up"}}
Add_MPCD_VIDEO_Element(nup_mode_sel)
